Debian Bug report logs - #627103
Cant install dropbear on Debian/Hurd because of incomplete dependencies/dev/random does not exist on a Debian/Hurd box if a pacakge named, random-egd is not installed. Thus the generation of key would fail,halting the installation of the package.

version graph

Package: hurd; Maintainer for hurd is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for hurd is src:hurd.

Reported by: Harish Badrinath <harishbadrinath@gmail.com>

Date: Tue, 17 May 2011 18:09:01 UTC

Severity: important

Tags: d-i

Fixed in version hurd/20110519-2

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, harishbadrinath@gmail.com, Gerrit Pape <pape@smarden.org>:
Bug#627103; Package dropbear. (Tue, 17 May 2011 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harish Badrinath <harishbadrinath@gmail.com>:
New Bug report received and forwarded. Copy sent to harishbadrinath@gmail.com, Gerrit Pape <pape@smarden.org>. (Tue, 17 May 2011 18:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harish Badrinath <harishbadrinath@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Cant install dropbear on Debian/Hurd because of incomplete dependencies /dev/random does not exist on a Debian/Hurd box if a pacakge named, random-egd is not installed. Thus the generation of key would fail, halting the installation of the package.
Date: Wed, 18 May 2011 00:31:32 +0000
Package: dropbear
Version: 0.53.1-1
Severity: important
Tags: d-i experimental



-- System Information:
Debian Release: wheezy/sid
Architecture: hurd-i386 (i686-AT386)

Kernel: GNU-Mach 1.3.99/Hurd-0.3
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages dropbear depends on:
ii  libc0.3                 2.11.2-13        Embedded GNU C Library: Shared lib
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

dropbear recommends no packages.

Versions of packages dropbear suggests:
ii  openssh-client                1:5.8p1-4  secure shell (SSH) client, for sec
pn  runit                         <none>     (no description available)
pn  udev                          <none>     (no description available)
ii  xauth                         1:1.0.5-1  X authentication utility

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#627103; Package dropbear. (Tue, 17 May 2011 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to harish badrinath <harishbadrinath@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 17 May 2011 18:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 627103@bugs.debian.org (full text, mbox):

From: harish badrinath <harishbadrinath@gmail.com>
To: 627103@bugs.debian.org
Subject: Sorry about the formatting
Date: Tue, 17 May 2011 23:41:57 +0530
This is just wierd, I never remember sending a report that would come
out like this ??

Regretfully,
Harish




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#627103; Package dropbear. (Fri, 19 Aug 2011 10:33:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 19 Aug 2011 10:33:25 GMT) Full text and rfc822 format available.

Message #15 received at 627103@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Harish Badrinath <harishbadrinath@gmail.com>, 627103@bugs.debian.org
Subject: Re: Bug#627103: Cant install dropbear on Debian/Hurd because of incomplete dependencies
Date: Fri, 19 Aug 2011 12:30:07 +0200
reassign 627103 hurd
fixed 627103 20110519-2
thanks

It seems I had missed that bug report. This should be already fixed
since June actually.

Next time, take care to write your comment *after* the mail headers, not
before. That is why things got mangled.

Samuel




Bug reassigned from package 'dropbear' to 'hurd'. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Fri, 19 Aug 2011 10:33:43 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dropbear/0.53.1-1. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Fri, 19 Aug 2011 10:33:43 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions hurd/20110519-2. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Fri, 19 Aug 2011 10:33:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#627103; Package hurd. (Sun, 28 Aug 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 28 Aug 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #26 received at 627103@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Harish Badrinath <harishbadrinath@gmail.com>, <627103@bugs.debian.org>
Subject: Re: Bug#627103: Cant install dropbear on Debian/Hurd because of incomplete dependencies
Date: Sun, 28 Aug 2011 14:49:53 +0100
On Fri, 19 Aug 2011 12:30:07 +0200, Samuel Thibault wrote:
> reassign 627103 hurd
> fixed 627103 20110519-2
> thanks
>
> It seems I had missed that bug report. This should be already fixed
> since June actually.

Are you sure?  hurd 20110519-3 still depends on "random-egd", and that 
package still doesn't exist in the archive.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#627103; Package hurd. (Sun, 28 Aug 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 28 Aug 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #31 received at 627103@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Harish Badrinath <harishbadrinath@gmail.com>, 627103@bugs.debian.org
Subject: Re: Bug#627103: Cant install dropbear on Debian/Hurd because of incomplete dependencies
Date: Sun, 28 Aug 2011 17:49:01 +0200
Adam D. Barratt, le Sun 28 Aug 2011 14:49:53 +0100, a écrit :
> On Fri, 19 Aug 2011 12:30:07 +0200, Samuel Thibault wrote:
> >reassign 627103 hurd
> >fixed 627103 20110519-2
> >thanks
> >
> >It seems I had missed that bug report. This should be already fixed
> >since June actually.
> 
> Are you sure?  hurd 20110519-3 still depends on "random-egd", and that
> package still doesn't exist in the archive.

It exists in the debian-ports archive. We'll actually switch to a
simpler, C implementation.

Samuel




Removed tag(s) experimental. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 01:51:03 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 20110519-2, send any further explanations to Harish Badrinath <harishbadrinath@gmail.com> Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 01:51:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 20110519-2, send any further explanations to Harish Badrinath <harishbadrinath@gmail.com> Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 01:51:07 GMT) Full text and rfc822 format available.

Message sent on to Harish Badrinath <harishbadrinath@gmail.com>:
Bug#627103. (Wed, 30 Nov 2011 01:51:10 GMT) Full text and rfc822 format available.

Message #40 received at 627103-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: control@bugs.debian.org
Cc: 627103-submitter@bugs.debian.org
Subject: closing 627103
Date: Wed, 30 Nov 2011 02:49:59 +0100
close 627103 20110519-2
thanks
-- 
Samuel Thibault <samuel.thibault@fnac.net>
<N> je déteste import
<N> parce que lorsque tu fais du python et que tu oublies le #!/bin/env python et que tu mets le fichier exécutable
<N> import est exécuté
 -+- #ens-mim - pourquoi mon script python change le curseur de la souris ?! -+-





Message sent on to Harish Badrinath <harishbadrinath@gmail.com>:
Bug#627103. (Wed, 30 Nov 2011 01:51:11 GMT) Full text and rfc822 format available.

Message #43 received at 627103-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: control@bugs.debian.org
Cc: 627103-submitter@bugs.debian.org
Subject: closing 627103
Date: Wed, 30 Nov 2011 02:50:13 +0100
close 627103 20110519-2
thanks





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Dec 2011 07:32:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:43:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.